<?php
//##copyright##

$iaCartCategories = $iaCore->factoryPlugin('shopping_cart', iaCore::ADMIN, 'cartcategories');
$iaDb->setTable(iaCartCategories::getTable());

if (iaView::REQUEST_JSON == $iaView->getRequestType())
{
	switch ($pageAction)
	{
		case iaCore::ACTION_READ:
			$params = array();
			if (isset($_GET['title']) && $_GET['title'])
			{
				$stmt = '(`title` LIKE :title OR `body` LIKE :title)';
				$iaDb->bind($stmt, array('title' => '%' . $_GET['title'] . '%'));

				$params[] = $stmt;
			}

			$output = $iaCartCategories->gridRead($_GET,
				array('id', 'order'),
				array(),
				$params
			);

			break;

		case iaCore::ACTION_DELETE:
			$output = $iaCartCategories->gridDelete($_POST);
	}

	$iaView->assign($output);
}

if (iaView::REQUEST_HTML == $iaView->getRequestType())
{
	$iaView->title(iaLanguage::get('cart_categs'));

	$categ = array();
	$categId = false;

	if (iaCore::ACTION_ADD == $pageAction || iaCore::ACTION_EDIT == $pageAction)
	{
		iaBreadcrumb::add(iaLanguage::get('cart_categs'), IA_ADMIN_URL . 'shopping-cart/categories/');

		if (isset($_POST['save']))
		{
			$error = false;
			$messages = array();

			if (!empty($_POST))
			{
				iaUtil::loadUTF8Functions('ascii', 'validation', 'bad', 'utf8_to_ascii');

				$lang = array();
				$lang['title'] = $_POST['title'];
				$lang['description'] = $_POST['description'];

				foreach($iaCore->languages as $categ_language => $categ_language_title)
				{
					if (isset($lang['title'][$categ_language]))
					{
						if (empty($lang['title'][$categ_language]))
						{
							$error = true;
							$messages[] = iaLanguage::getf('error_lang_title', array('lang' => $categ_language_title));
						}
						elseif (!utf8_is_valid($lang['title'][$categ_language]))
						{
							$lang['title'][$categ_language] = utf8_bad_replace($lang['title'][$categ_language]);
						}
					}

					if (isset($lang['description'][$categ_language]))
					{
						if (!utf8_is_valid($lang['description'][$categ_language]))
						{
							$lang['description'][$categ_language] = utf8_bad_replace($lang['description'][$categ_language]);
						}
					}
				}

				if (!$error)
				{
					if (iaCore::ACTION_ADD == $pageAction)
					{
						$categId = $iaDb->insert(array('order' => 0));

						if ($categId)
						{
							$messages[] = iaLanguage::get('cart_categ_added');
						}
						else
						{
							$error = true;
							$messages[] = iaLanguage::get('db_error');
						}
					}
					elseif (iaCore::ACTION_EDIT == $pageAction)
					{
						$categId = $_GET['id'];

						if ($categId)
						{
							$messages[] = iaLanguage::get('saved');
						}
						else
						{
							$error = true;
							$messages[] = iaLanguage::get('db_error');
						}
					}

					if (!$error)
					{
						$pluginName = 'shopping_cart';

						foreach ($iaCore->languages as $code => $title)
						{
							iaLanguage::addPhrase('cart_categ_title_' . $categId, $lang['title'][$code], $code, $pluginName);
							iaLanguage::addPhrase('cart_categ_description_' . $categId, $lang['description'][$code], $code, $pluginName);
						}
					}

					$iaView->setMessages($messages, $error ? iaView::ERROR : iaView::SUCCESS);
					$url = IA_ADMIN_URL . 'shopping-cart/categories/';

					if ($pageAction == iaCore::ACTION_ADD)
					{
						iaUtil::post_goto(array(
							'add' => $url . 'add/',
							'list' => $url,
							'stay' => $url . 'edit/?id=' . $categId,
						));
					}
					else
					{
						iaUtil::go_to($url . 'edit/?id=' . $categId);
					}

				}
			}

			$iaView->setMessages($messages);
		}

		if (iaCore::ACTION_EDIT == $pageAction)
		{
			$categId = empty($_GET['id']) ? false : (int)$_GET['id'];
		}

		if ($categId)
		{
			$categ['title'] = isset($categId)
				? $iaDb->keyvalue('`code`, `value`', "`key`='cart_categ_title_{$categId}'", 'language')
				: false;
			$categ['description'] = isset($categId)
				? $iaDb->keyvalue('`code`, `value`', "`key`='cart_categ_description_{$categId}'", 'language')
				: false;
		}

		$iaView->assign('categ', $categ);
	}
	else
	{
		iaBreadcrumb::add(iaLanguage::get('shopping_cart'), IA_ADMIN_URL . 'shopping-cart/');
		$iaView->grid();
	}

	$iaView->display('categories');
}

$iaDb->resetTable();